Backend API
Create a new OAuth app for a deployment
cURL
curl --request POST \ --url https://api.wacht.dev/deployments/{deployment_id}/oauth/apps \ --header 'Authorization: <api-key>' \ --header 'Content-Type: multipart/form-data' \ --form 'slug=<string>' \ --form 'name=<string>' \ --form 'description=<string>' \ --form 'fqdn=<string>' \ --form 'supported_scopes=<string>' \ --form 'scope_definitions={ "scope": "<string>", "display_name": "<string>", "description": "<string>", "archived": true, "category": "", "organization_permission": "<string>", "workspace_permission": "<string>" }' \ --form allow_dynamic_client_registration=true \ --form logo='@example-file'
{ "id": "<string>", "slug": "<string>", "name": "<string>", "description": "<string>", "logo_url": "<string>", "fqdn": "<string>", "supported_scopes": [ "<string>" ], "scope_definitions": [ { "scope": "<string>", "display_name": "<string>", "description": "<string>", "archived": true, "category": "", "organization_permission": "<string>", "workspace_permission": "<string>" } ], "allow_dynamic_client_registration": true, "is_active": true, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" }
API key authentication (format: Bearer {api_key})
Deployment ID
Unique slug for the OAuth app
Display name
Domain used by the OAuth app
Show child attributes
Optional logo upload (multipart/form-data only)
OAuth app created
Was this page helpful?